Skip to main content
POST
/
v2
/
add
/
notion
Add Notion pages
curl --request POST \
  --url https://context7.com/api/v2/add/notion \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "workspace-uuid",
  "workspaceName": "Acme Workspace",
  "pageIds": [
    "page-1",
    "page-2"
  ],
  "title": "Product Docs",
  "description": "Internal Notion knowledge base",
  "projectId": "project-uuid"
}
'
{
  "libraryName": "/owner/repo",
  "message": "Repository submitted successfully"
}

Documentation Index

Fetch the complete documentation index at: https://context7.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely.

Body

application/json
workspaceId
string
required

The Notion workspace ID

workspaceName
string
required

The Notion workspace name

pageIds
string[]
required

List of Notion page IDs to index.

title
string
required

Title for the library

description
string
required

Description of the library

projectId
string

The team project ID to associate these Notion pages with

Response

Library submitted successfully for processing

Response after successfully submitting a library

libraryName
string
required

The library identifier assigned (e.g., /owner/repo)

message
string
required

Human-readable success message